// Copyright 2016 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

function t(re, s) { assertTrue(re.test(s)); }
function f(re, s) { assertFalse(re.test(s)); }

t(/\p{Script_Extensions=Bopo}+/u, "\u300A");
t(/\p{Script_Extensions=Hang}+/u, "\u300A");
t(/\p{Script_Extensions=Hani}+/u, "\u300A");
t(/\p{Script_Extensions=Hira}+/u, "\u300A");
t(/\p{Script_Extensions=Kana}+/u, "\u300A");
t(/\p{Script_Extensions=Yiii}+/u, "\u300A");

t(/\p{scx=Bopomofo}+/u, "\u3003");
t(/\p{scx=Hangul}+/u, "\u3003");
t(/\p{scx=Han}+/u, "\u3003");
t(/\p{scx=Hiragana}+/u, "\u3003");
t(/\p{scx=Katakana}+/u, "\u3003");
f(/\p{scx=Yi}+/u, "\u3003");

t(/\p{Script_Extensions=Cypriot}+/u, "\u{10107}");
f(/\p{Script=Cypriot}+/u, "\u{10107}");
f(/\p{scx=Cprt}+/u, "\u3003");

/* Auto-generated from Unicode data file using following script
let data = read("ScriptExtensions.txt");
let map = new Map();
for (let line of data.split("\n")) {
  let match = /^(\p{Hex}{4,6})(..(\p{Hex}{4,6}))?\s+; ([\w\s]+) #/u.exec(line);
  if (!match) continue;
  let [,start,,end,scripts] = match;
  if (!end) end = start;
  start = parseInt(start, 16);
  end = parseInt(end, 16);
  for (let script of scripts.split(" ")) {
    let codepoints = map.get(script) || new Set();
    for (let c = start; c <= end; c++) codepoints.add(c);
    map.set(script, codepoints);
  }
}

for (let s of map.keys()){
  let codepoints = map.get(s);
  print(`// Script_Extension=${s}`);
  for (let i = 0; i < 5;) {
    let c = (Math.random() * 0x110000) | 0;
    if (codepoints.has(c)) continue;
    print(`f(/(?=\\P{sc=${s}})\\p{scx=${s}}/u, "\\u{${c.toString(16)}}");`);
    i++;
  }
}
*/

// Unicode version 10.0.0
// https://unicode.org/Public/10.0.0/ucd/ScriptExtensions.txt

// Script_Extension=Beng
f(/(?=\P{sc=Beng})\p{scx=Beng}/u, "\u{52ddd}");
f(/(?=\P{sc=Beng})\p{scx=Beng}/u, "\u{10b77b}");
f(/(?=\P{sc=Beng})\p{scx=Beng}/u, "\u{74b3}");
f(/(?=\P{sc=Beng})\p{scx=Beng}/u, "\u{b8edf}");
f(/(?=\P{sc=Beng})\p{scx=Beng}/u, "\u{7eebe}");
// Script_Extension=Deva
f(/(?=\P{sc=Deva})\p{scx=Deva}/u, "\u{51c7e}");
f(/(?=\P{sc=Deva})\p{scx=Deva}/u, "\u{bd4e8}");
f(/(?=\P{sc=Deva})\p{scx=Deva}/u, "\u{a376f}");
f(/(?=\P{sc=Deva})\p{scx=Deva}/u, "\u{d26}");
f(/(?=\P{sc=Deva})\p{scx=Deva}/u, "\u{301f2}");
// Script_Extension=Dupl
f(/(?=\P{sc=Dupl})\p{scx=Dupl}/u, "\u{d0910}");
f(/(?=\P{sc=Dupl})\p{scx=Dupl}/u, "\u{4262c}");
f(/(?=\P{sc=Dupl})\p{scx=Dupl}/u, "\u{fc99b}");
f(/(?=\P{sc=Dupl})\p{scx=Dupl}/u, "\u{b4a3c}");
f(/(?=\P{sc=Dupl})\p{scx=Dupl}/u, "\u{27c19}");
// Script_Extension=Grek
f(/(?=\P{sc=Grek})\p{scx=Grek}/u, "\u{331fb}");
f(/(?=\P{sc=Grek})\p{scx=Grek}/u, "\u{49feb}");
f(/(?=\P{sc=Grek})\p{scx=Grek}/u, "\u{9b52c}");
f(/(?=\P{sc=Grek})\p{scx=Grek}/u, "\u{466fb}");
f(/(?=\P{sc=Grek})\p{scx=Grek}/u, "\u{ed86b}");
// Script_Extension=Hani
f(/(?=\P{sc=Hani})\p{scx=Hani}/u, "\u{10b11f}");
f(/(?=\P{sc=Hani})\p{scx=Hani}/u, "\u{16e09}");
f(/(?=\P{sc=Hani})\p{scx=Hani}/u, "\u{8287c}");
f(/(?=\P{sc=Hani})\p{scx=Hani}/u, "\u{2b7aa}");
f(/(?=\P{sc=Hani})\p{scx=Hani}/u, "\u{8074a}");
// Script_Extension=Latn
f(/(?=\P{sc=Latn})\p{scx=Latn}/u, "\u{2cc83}");
f(/(?=\P{sc=Latn})\p{scx=Latn}/u, "\u{10a158}");
f(/(?=\P{sc=Latn})\p{scx=Latn}/u, "\u{97717}");
f(/(?=\P{sc=Latn})\p{scx=Latn}/u, "\u{10a2c2}");
f(/(?=\P{sc=Latn})\p{scx=Latn}/u, "\u{98275}");
// Script_Extension=Arab
f(/(?=\P{sc=Arab})\p{scx=Arab}/u, "\u{ad4b4}");
f(/(?=\P{sc=Arab})\p{scx=Arab}/u, "\u{5e088}");
f(/(?=\P{sc=Arab})\p{scx=Arab}/u, "\u{65bf1}");
f(/(?=\P{sc=Arab})\p{scx=Arab}/u, "\u{32ca1}");
f(/(?=\P{sc=Arab})\p{scx=Arab}/u, "\u{19c04}");
// Script_Extension=Copt
f(/(?=\P{sc=Copt})\p{scx=Copt}/u, "\u{62c6}");
f(/(?=\P{sc=Copt})\p{scx=Copt}/u, "\u{10f13d}");
f(/(?=\P{sc=Copt})\p{scx=Copt}/u, "\u{9ebe5}");
f(/(?=\P{sc=Copt})\p{scx=Copt}/u, "\u{60645}");
f(/(?=\P{sc=Copt})\p{scx=Copt}/u, "\u{f2fff}");
// Script_Extension=Syrc
f(/(?=\P{sc=Syrc})\p{scx=Syrc}/u, "\u{6ff8f}");
f(/(?=\P{sc=Syrc})\p{scx=Syrc}/u, "\u{f6e6}");
f(/(?=\P{sc=Syrc})\p{scx=Syrc}/u, "\u{1037ae}");
f(/(?=\P{sc=Syrc})\p{scx=Syrc}/u, "\u{fdd94}");
f(/(?=\P{sc=Syrc})\p{scx=Syrc}/u, "\u{218af}");
// Script_Extension=Thaa
f(/(?=\P{sc=Thaa})\p{scx=Thaa}/u, "\u{82166}");
f(/(?=\P{sc=Thaa})\p{scx=Thaa}/u, "\u{dc7e1}");
f(/(?=\P{sc=Thaa})\p{scx=Thaa}/u, "\u{638e}");
f(/(?=\P{sc=Thaa})\p{scx=Thaa}/u, "\u{edd2e}");
f(/(?=\P{sc=Thaa})\p{scx=Thaa}/u, "\u{20737}");
// Script_Extension=Armn
f(/(?=\P{sc=Armn})\p{scx=Armn}/u, "\u{bbd25}");
f(/(?=\P{sc=Armn})\p{scx=Armn}/u, "\u{3b15}");
f(/(?=\P{sc=Armn})\p{scx=Armn}/u, "\u{f0000}");
f(/(?=\P{sc=Armn})\p{scx=Armn}/u, "\u{13f76}");
f(/(?=\P{sc=Armn})\p{scx=Armn}/u, "\u{8f861}");
// Script_Extension=Geor
f(/(?=\P{sc=Geor})\p{scx=Geor}/u, "\u{a2c35}");
f(/(?=\P{sc=Geor})\p{scx=Geor}/u, "\u{71c36}");
f(/(?=\P{sc=Geor})\p{scx=Geor}/u, "\u{103dfc}");
f(/(?=\P{sc=Geor})\p{scx=Geor}/u, "\u{8df23}");
f(/(?=\P{sc=Geor})\p{scx=Geor}/u, "\u{9e978}");
// Script_Extension=Bopo
f(/(?=\P{sc=Bopo})\p{scx=Bopo}/u, "\u{10e25d}");
f(/(?=\P{sc=Bopo})\p{scx=Bopo}/u, "\u{f336d}");
f(/(?=\P{sc=Bopo})\p{scx=Bopo}/u, "\u{2dd6d}");
f(/(?=\P{sc=Bopo})\p{scx=Bopo}/u, "\u{544a3}");
f(/(?=\P{sc=Bopo})\p{scx=Bopo}/u, "\u{3b09c}");
// Script_Extension=Bugi
f(/(?=\P{sc=Bugi})\p{scx=Bugi}/u, "\u{95d74}");
f(/(?=\P{sc=Bugi})\p{scx=Bugi}/u, "\u{7ac62}");
f(/(?=\P{sc=Bugi})\p{scx=Bugi}/u, "\u{6b7a3}");
f(/(?=\P{sc=Bugi})\p{scx=Bugi}/u, "\u{d5b12}");
f(/(?=\P{sc=Bugi})\p{scx=Bugi}/u, "\u{57ab9}");
// Script_Extension=Java
f(/(?=\P{sc=Java})\p{scx=Java}/u, "\u{ea049}");
f(/(?=\P{sc=Java})\p{scx=Java}/u, "\u{b2073}");
f(/(?=\P{sc=Java})\p{scx=Java}/u, "\u{ed4f8}");
f(/(?=\P{sc=Java})\p{scx=Java}/u, "\u{6d30f}");
f(/(?=\P{sc=Java})\p{scx=Java}/u, "\u{b1dd9}");
// Script_Extension=Cprt
f(/(?=\P{sc=Cprt})\p{scx=Cprt}/u, "\u{dd4bd}");
f(/(?=\P{sc=Cprt})\p{scx=Cprt}/u, "\u{20588}");
f(/(?=\P{sc=Cprt})\p{scx=Cprt}/u, "\u{1f362}");
f(/(?=\P{sc=Cprt})\p{scx=Cprt}/u, "\u{6b96e}");
f(/(?=\P{sc=Cprt})\p{scx=Cprt}/u, "\u{3557}");
// Script_Extension=Linb
f(/(?=\P{sc=Linb})\p{scx=Linb}/u, "\u{568d4}");
f(/(?=\P{sc=Linb})\p{scx=Linb}/u, "\u{b2730}");
f(/(?=\P{sc=Linb})\p{scx=Linb}/u, "\u{783cd}");
f(/(?=\P{sc=Linb})\p{scx=Linb}/u, "\u{65555}");
f(/(?=\P{sc=Linb})\p{scx=Linb}/u, "\u{e8671}");
// Script_Extension=Cyrl
f(/(?=\P{sc=Cyrl})\p{scx=Cyrl}/u, "\u{85d00}");
f(/(?=\P{sc=Cyrl})\p{scx=Cyrl}/u, "\u{3bf7f}");
f(/(?=\P{sc=Cyrl})\p{scx=Cyrl}/u, "\u{e18a0}");
f(/(?=\P{sc=Cyrl})\p{scx=Cyrl}/u, "\u{b87b}");
f(/(?=\P{sc=Cyrl})\p{scx=Cyrl}/u, "\u{79fa1}");
// Script_Extension=Glag
f(/(?=\P{sc=Glag})\p{scx=Glag}/u, "\u{b13fe}");
f(/(?=\P{sc=Glag})\p{scx=Glag}/u, "\u{a3bfd}");
f(/(?=\P{sc=Glag})\p{scx=Glag}/u, "\u{a8c1d}");
f(/(?=\P{sc=Glag})\p{scx=Glag}/u, "\u{d5d35}");
f(/(?=\P{sc=Glag})\p{scx=Glag}/u, "\u{549bc}");
// Script_Extension=Perm
f(/(?=\P{sc=Perm})\p{scx=Perm}/u, "\u{9702f}");
f(/(?=\P{sc=Perm})\p{scx=Perm}/u, "\u{482b5}");
f(/(?=\P{sc=Perm})\p{scx=Perm}/u, "\u{4e9ff}");
f(/(?=\P{sc=Perm})\p{scx=Perm}/u, "\u{43858}");
f(/(?=\P{sc=Perm})\p{scx=Perm}/u, "\u{f21da}");
// Script_Extension=Gran
f(/(?=\P{sc=Gran})\p{scx=Gran}/u, "\u{3a8d}");
f(/(?=\P{sc=Gran})\p{scx=Gran}/u, "\u{5f951}");
f(/(?=\P{sc=Gran})\p{scx=Gran}/u, "\u{1007a2}");
f(/(?=\P{sc=Gran})\p{scx=Gran}/u, "\u{c25ae}");
f(/(?=\P{sc=Gran})\p{scx=Gran}/u, "\u{25a9e}");
// Script_Extension=Knda
f(/(?=\P{sc=Knda})\p{scx=Knda}/u, "\u{4a07}");
f(/(?=\P{sc=Knda})\p{scx=Knda}/u, "\u{e128d}");
f(/(?=\P{sc=Knda})\p{scx=Knda}/u, "\u{f2880}");
f(/(?=\P{sc=Knda})\p{scx=Knda}/u, "\u{7643b}");
f(/(?=\P{sc=Knda})\p{scx=Knda}/u, "\u{105a3b}");
// Script_Extension=Shrd
f(/(?=\P{sc=Shrd})\p{scx=Shrd}/u, "\u{22e84}");
f(/(?=\P{sc=Shrd})\p{scx=Shrd}/u, "\u{aee2}");
f(/(?=\P{sc=Shrd})\p{scx=Shrd}/u, "\u{cf578}");
f(/(?=\P{sc=Shrd})\p{scx=Shrd}/u, "\u{a7369}");
f(/(?=\P{sc=Shrd})\p{scx=Shrd}/u, "\u{cd94d}");
// Script_Extension=Taml
f(/(?=\P{sc=Taml})\p{scx=Taml}/u, "\u{47bf9}");
f(/(?=\P{sc=Taml})\p{scx=Taml}/u, "\u{1064eb}");
f(/(?=\P{sc=Taml})\p{scx=Taml}/u, "\u{33b58}");
f(/(?=\P{sc=Taml})\p{scx=Taml}/u, "\u{28884}");
f(/(?=\P{sc=Taml})\p{scx=Taml}/u, "\u{4bee2}");
// Script_Extension=Gujr
f(/(?=\P{sc=Gujr})\p{scx=Gujr}/u, "\u{82ad7}");
f(/(?=\P{sc=Gujr})\p{scx=Gujr}/u, "\u{ab492}");
f(/(?=\P{sc=Gujr})\p{scx=Gujr}/u, "\u{a27c8}");
f(/(?=\P{sc=Gujr})\p{scx=Gujr}/u, "\u{66750}");
f(/(?=\P{sc=Gujr})\p{scx=Gujr}/u, "\u{3bc29}");
// Script_Extension=Khoj
f(/(?=\P{sc=Khoj})\p{scx=Khoj}/u, "\u{e72d5}");
f(/(?=\P{sc=Khoj})\p{scx=Khoj}/u, "\u{ce3f5}");
f(/(?=\P{sc=Khoj})\p{scx=Khoj}/u, "\u{ec31b}");
f(/(?=\P{sc=Khoj})\p{scx=Khoj}/u, "\u{57e80}");
f(/(?=\P{sc=Khoj})\p{scx=Khoj}/u, "\u{60009}");
// Script_Extension=Guru
f(/(?=\P{sc=Guru})\p{scx=Guru}/u, "\u{7ffed}");
f(/(?=\P{sc=Guru})\p{scx=Guru}/u, "\u{82048}");
f(/(?=\P{sc=Guru})\p{scx=Guru}/u, "\u{502a7}");
f(/(?=\P{sc=Guru})\p{scx=Guru}/u, "\u{7b0e6}");
f(/(?=\P{sc=Guru})\p{scx=Guru}/u, "\u{9416e}");
// Script_Extension=Mult
f(/(?=\P{sc=Mult})\p{scx=Mult}/u, "\u{4f15d}");
f(/(?=\P{sc=Mult})\p{scx=Mult}/u, "\u{cd3cd}");
f(/(?=\P{sc=Mult})\p{scx=Mult}/u, "\u{7f24d}");
f(/(?=\P{sc=Mult})\p{scx=Mult}/u, "\u{4e181}");
f(/(?=\P{sc=Mult})\p{scx=Mult}/u, "\u{2a651}");
// Script_Extension=Hira
f(/(?=\P{sc=Hira})\p{scx=Hira}/u, "\u{22465}");
f(/(?=\P{sc=Hira})\p{scx=Hira}/u, "\u{c5418}");
f(/(?=\P{sc=Hira})\p{scx=Hira}/u, "\u{977b5}");
f(/(?=\P{sc=Hira})\p{scx=Hira}/u, "\u{f2219}");
f(/(?=\P{sc=Hira})\p{scx=Hira}/u, "\u{2be9a}");
// Script_Extension=Kana
f(/(?=\P{sc=Kana})\p{scx=Kana}/u, "\u{a2db4}");
f(/(?=\P{sc=Kana})\p{scx=Kana}/u, "\u{bc311}");
f(/(?=\P{sc=Kana})\p{scx=Kana}/u, "\u{447b8}");
f(/(?=\P{sc=Kana})\p{scx=Kana}/u, "\u{e4667}");
f(/(?=\P{sc=Kana})\p{scx=Kana}/u, "\u{b5aac}");
// Script_Extension=Mong
f(/(?=\P{sc=Mong})\p{scx=Mong}/u, "\u{7a208}");
f(/(?=\P{sc=Mong})\p{scx=Mong}/u, "\u{da800}");
f(/(?=\P{sc=Mong})\p{scx=Mong}/u, "\u{fbafa}");
f(/(?=\P{sc=Mong})\p{scx=Mong}/u, "\u{b8421}");
f(/(?=\P{sc=Mong})\p{scx=Mong}/u, "\u{10a54e}");
// Script_Extension=Phag
f(/(?=\P{sc=Phag})\p{scx=Phag}/u, "\u{1580d}");
f(/(?=\P{sc=Phag})\p{scx=Phag}/u, "\u{828b0}");
f(/(?=\P{sc=Phag})\p{scx=Phag}/u, "\u{b60db}");
f(/(?=\P{sc=Phag})\p{scx=Phag}/u, "\u{53ce1}");
f(/(?=\P{sc=Phag})\p{scx=Phag}/u, "\u{a6e2b}");
// Script_Extension=Cakm
f(/(?=\P{sc=Cakm})\p{scx=Cakm}/u, "\u{a8dc9}");
f(/(?=\P{sc=Cakm})\p{scx=Cakm}/u, "\u{6c8fb}");
f(/(?=\P{sc=Cakm})\p{scx=Cakm}/u, "\u{d9a31}");
f(/(?=\P{sc=Cakm})\p{scx=Cakm}/u, "\u{f643f}");
f(/(?=\P{sc=Cakm})\p{scx=Cakm}/u, "\u{aaf87}");
// Script_Extension=Sylo
f(/(?=\P{sc=Sylo})\p{scx=Sylo}/u, "\u{7be3f}");
f(/(?=\P{sc=Sylo})\p{scx=Sylo}/u, "\u{1a96}");
f(/(?=\P{sc=Sylo})\p{scx=Sylo}/u, "\u{df39d}");
f(/(?=\P{sc=Sylo})\p{scx=Sylo}/u, "\u{b2f9b}");
f(/(?=\P{sc=Sylo})\p{scx=Sylo}/u, "\u{d41b6}");
// Script_Extension=Mymr
f(/(?=\P{sc=Mymr})\p{scx=Mymr}/u, "\u{83733}");
f(/(?=\P{sc=Mymr})\p{scx=Mymr}/u, "\u{65653}");
f(/(?=\P{sc=Mymr})\p{scx=Mymr}/u, "\u{f05d8}");
f(/(?=\P{sc=Mymr})\p{scx=Mymr}/u, "\u{d48a5}");
f(/(?=\P{sc=Mymr})\p{scx=Mymr}/u, "\u{d028d}");
// Script_Extension=Tale
f(/(?=\P{sc=Tale})\p{scx=Tale}/u, "\u{b15b8}");
f(/(?=\P{sc=Tale})\p{scx=Tale}/u, "\u{d13dd}");
f(/(?=\P{sc=Tale})\p{scx=Tale}/u, "\u{107e0d}");
f(/(?=\P{sc=Tale})\p{scx=Tale}/u, "\u{72fa9}");
f(/(?=\P{sc=Tale})\p{scx=Tale}/u, "\u{4ffc3}");
// Script_Extension=Lina
f(/(?=\P{sc=Lina})\p{scx=Lina}/u, "\u{34b7}");
f(/(?=\P{sc=Lina})\p{scx=Lina}/u, "\u{89cc7}");
f(/(?=\P{sc=Lina})\p{scx=Lina}/u, "\u{b27b9}");
f(/(?=\P{sc=Lina})\p{scx=Lina}/u, "\u{19122}");
f(/(?=\P{sc=Lina})\p{scx=Lina}/u, "\u{7f93b}");
// Script_Extension=Kthi
f(/(?=\P{sc=Kthi})\p{scx=Kthi}/u, "\u{8a452}");
f(/(?=\P{sc=Kthi})\p{scx=Kthi}/u, "\u{39395}");
f(/(?=\P{sc=Kthi})\p{scx=Kthi}/u, "\u{28802}");
f(/(?=\P{sc=Kthi})\p{scx=Kthi}/u, "\u{de82b}");
f(/(?=\P{sc=Kthi})\p{scx=Kthi}/u, "\u{1019cc}");
// Script_Extension=Mahj
f(/(?=\P{sc=Mahj})\p{scx=Mahj}/u, "\u{64a2d}");
f(/(?=\P{sc=Mahj})\p{scx=Mahj}/u, "\u{7fe13}");
f(/(?=\P{sc=Mahj})\p{scx=Mahj}/u, "\u{5da4a}");
f(/(?=\P{sc=Mahj})\p{scx=Mahj}/u, "\u{fc2cf}");
f(/(?=\P{sc=Mahj})\p{scx=Mahj}/u, "\u{53629}");
// Script_Extension=Kali
f(/(?=\P{sc=Kali})\p{scx=Kali}/u, "\u{5cf1d}");
f(/(?=\P{sc=Kali})\p{scx=Kali}/u, "\u{104c01}");
f(/(?=\P{sc=Kali})\p{scx=Kali}/u, "\u{ef11a}");
f(/(?=\P{sc=Kali})\p{scx=Kali}/u, "\u{92a12}");
f(/(?=\P{sc=Kali})\p{scx=Kali}/u, "\u{e4e79}");
// Script_Extension=Buhd
f(/(?=\P{sc=Buhd})\p{scx=Buhd}/u, "\u{ab261}");
f(/(?=\P{sc=Buhd})\p{scx=Buhd}/u, "\u{ca43a}");
f(/(?=\P{sc=Buhd})\p{scx=Buhd}/u, "\u{7dc01}");
f(/(?=\P{sc=Buhd})\p{scx=Buhd}/u, "\u{1e9f}");
f(/(?=\P{sc=Buhd})\p{scx=Buhd}/u, "\u{12dd2}");
// Script_Extension=Hano
f(/(?=\P{sc=Hano})\p{scx=Hano}/u, "\u{3ec65}");
f(/(?=\P{sc=Hano})\p{scx=Hano}/u, "\u{eff3d}");
f(/(?=\P{sc=Hano})\p{scx=Hano}/u, "\u{a7239}");
f(/(?=\P{sc=Hano})\p{scx=Hano}/u, "\u{4e718}");
f(/(?=\P{sc=Hano})\p{scx=Hano}/u, "\u{ed8e6}");
// Script_Extension=Tagb
f(/(?=\P{sc=Tagb})\p{scx=Tagb}/u, "\u{23a92}");
f(/(?=\P{sc=Tagb})\p{scx=Tagb}/u, "\u{103d41}");
f(/(?=\P{sc=Tagb})\p{scx=Tagb}/u, "\u{60057}");
f(/(?=\P{sc=Tagb})\p{scx=Tagb}/u, "\u{192de}");
f(/(?=\P{sc=Tagb})\p{scx=Tagb}/u, "\u{b1caf}");
// Script_Extension=Tglg
f(/(?=\P{sc=Tglg})\p{scx=Tglg}/u, "\u{42efc}");
f(/(?=\P{sc=Tglg})\p{scx=Tglg}/u, "\u{90987}");
f(/(?=\P{sc=Tglg})\p{scx=Tglg}/u, "\u{ba103}");
f(/(?=\P{sc=Tglg})\p{scx=Tglg}/u, "\u{91eeb}");
f(/(?=\P{sc=Tglg})\p{scx=Tglg}/u, "\u{dbf0e}");
// Script_Extension=Hang
f(/(?=\P{sc=Hang})\p{scx=Hang}/u, "\u{7aa}");
f(/(?=\P{sc=Hang})\p{scx=Hang}/u, "\u{12138}");
f(/(?=\P{sc=Hang})\p{scx=Hang}/u, "\u{478c1}");
f(/(?=\P{sc=Hang})\p{scx=Hang}/u, "\u{ec529}");
f(/(?=\P{sc=Hang})\p{scx=Hang}/u, "\u{bb438}");
// Script_Extension=Mlym
f(/(?=\P{sc=Mlym})\p{scx=Mlym}/u, "\u{e6470}");
f(/(?=\P{sc=Mlym})\p{scx=Mlym}/u, "\u{a9ffc}");
f(/(?=\P{sc=Mlym})\p{scx=Mlym}/u, "\u{b220c}");
f(/(?=\P{sc=Mlym})\p{scx=Mlym}/u, "\u{3676b}");
f(/(?=\P{sc=Mlym})\p{scx=Mlym}/u, "\u{78657}");
// Script_Extension=Telu
f(/(?=\P{sc=Telu})\p{scx=Telu}/u, "\u{d1aa}");
f(/(?=\P{sc=Telu})\p{scx=Telu}/u, "\u{81dfa}");
f(/(?=\P{sc=Telu})\p{scx=Telu}/u, "\u{3ccad}");
f(/(?=\P{sc=Telu})\p{scx=Telu}/u, "\u{c694a}");
f(/(?=\P{sc=Telu})\p{scx=Telu}/u, "\u{d4da6}");
// Script_Extension=Adlm
f(/(?=\P{sc=Adlm})\p{scx=Adlm}/u, "\u{79f20}");
f(/(?=\P{sc=Adlm})\p{scx=Adlm}/u, "\u{1013cc}");
f(/(?=\P{sc=Adlm})\p{scx=Adlm}/u, "\u{37748}");
f(/(?=\P{sc=Adlm})\p{scx=Adlm}/u, "\u{63b26}");
f(/(?=\P{sc=Adlm})\p{scx=Adlm}/u, "\u{8a04f}");
// Script_Extension=Mand
f(/(?=\P{sc=Mand})\p{scx=Mand}/u, "\u{4e6a8}");
f(/(?=\P{sc=Mand})\p{scx=Mand}/u, "\u{4d1bc}");
f(/(?=\P{sc=Mand})\p{scx=Mand}/u, "\u{e67d0}");
f(/(?=\P{sc=Mand})\p{scx=Mand}/u, "\u{72336}");
f(/(?=\P{sc=Mand})\p{scx=Mand}/u, "\u{bdf70}");
// Script_Extension=Mani
f(/(?=\P{sc=Mani})\p{scx=Mani}/u, "\u{e67bb}");
f(/(?=\P{sc=Mani})\p{scx=Mani}/u, "\u{9c604}");
f(/(?=\P{sc=Mani})\p{scx=Mani}/u, "\u{43609}");
f(/(?=\P{sc=Mani})\p{scx=Mani}/u, "\u{8d39}");
f(/(?=\P{sc=Mani})\p{scx=Mani}/u, "\u{5a0d6}");
// Script_Extension=Phlp
f(/(?=\P{sc=Phlp})\p{scx=Phlp}/u, "\u{aee68}");
f(/(?=\P{sc=Phlp})\p{scx=Phlp}/u, "\u{d60ec}");
f(/(?=\P{sc=Phlp})\p{scx=Phlp}/u, "\u{407c7}");
f(/(?=\P{sc=Phlp})\p{scx=Phlp}/u, "\u{2c40e}");
f(/(?=\P{sc=Phlp})\p{scx=Phlp}/u, "\u{5cf39}");
// Script_Extension=Yiii
f(/(?=\P{sc=Yiii})\p{scx=Yiii}/u, "\u{d2efb}");
f(/(?=\P{sc=Yiii})\p{scx=Yiii}/u, "\u{83b57}");
f(/(?=\P{sc=Yiii})\p{scx=Yiii}/u, "\u{c8c5f}");
f(/(?=\P{sc=Yiii})\p{scx=Yiii}/u, "\u{10e9de}");
f(/(?=\P{sc=Yiii})\p{scx=Yiii}/u, "\u{2d5ba}");
// Script_Extension=Modi
f(/(?=\P{sc=Modi})\p{scx=Modi}/u, "\u{4d486}");
f(/(?=\P{sc=Modi})\p{scx=Modi}/u, "\u{7d0d5}");
f(/(?=\P{sc=Modi})\p{scx=Modi}/u, "\u{4c4d6}");
f(/(?=\P{sc=Modi})\p{scx=Modi}/u, "\u{a47e9}");
f(/(?=\P{sc=Modi})\p{scx=Modi}/u, "\u{1f8a1}");
// Script_Extension=Sind
f(/(?=\P{sc=Sind})\p{scx=Sind}/u, "\u{a8c86}");
f(/(?=\P{sc=Sind})\p{scx=Sind}/u, "\u{507cc}");
f(/(?=\P{sc=Sind})\p{scx=Sind}/u, "\u{e9d11}");
f(/(?=\P{sc=Sind})\p{scx=Sind}/u, "\u{5b3b8}");
f(/(?=\P{sc=Sind})\p{scx=Sind}/u, "\u{9c93e}");
// Script_Extension=Takr
f(/(?=\P{sc=Takr})\p{scx=Takr}/u, "\u{d18cf}");
f(/(?=\P{sc=Takr})\p{scx=Takr}/u, "\u{b09e7}");
f(/(?=\P{sc=Takr})\p{scx=Takr}/u, "\u{b134e}");
f(/(?=\P{sc=Takr})\p{scx=Takr}/u, "\u{5f1d5}");
f(/(?=\P{sc=Takr})\p{scx=Takr}/u, "\u{bca99}");
// Script_Extension=Tirh
f(/(?=\P{sc=Tirh})\p{scx=Tirh}/u, "\u{8366f}");
f(/(?=\P{sc=Tirh})\p{scx=Tirh}/u, "\u{a17ba}");
f(/(?=\P{sc=Tirh})\p{scx=Tirh}/u, "\u{100f3b}");
f(/(?=\P{sc=Tirh})\p{scx=Tirh}/u, "\u{f23d9}");
f(/(?=\P{sc=Tirh})\p{scx=Tirh}/u, "\u{56a64}");
// Script_Extension=Orya
f(/(?=\P{sc=Orya})\p{scx=Orya}/u, "\u{30394}");
f(/(?=\P{sc=Orya})\p{scx=Orya}/u, "\u{2f022}");
f(/(?=\P{sc=Orya})\p{scx=Orya}/u, "\u{af689}");
f(/(?=\P{sc=Orya})\p{scx=Orya}/u, "\u{5ad58}");
f(/(?=\P{sc=Orya})\p{scx=Orya}/u, "\u{24a87}");
// Script_Extension=Sinh
f(/(?=\P{sc=Sinh})\p{scx=Sinh}/u, "\u{7451c}");
f(/(?=\P{sc=Sinh})\p{scx=Sinh}/u, "\u{2d340}");
f(/(?=\P{sc=Sinh})\p{scx=Sinh}/u, "\u{847bb}");
f(/(?=\P{sc=Sinh})\p{scx=Sinh}/u, "\u{e8785}");
f(/(?=\P{sc=Sinh})\p{scx=Sinh}/u, "\u{bf9ed}");
// Script_Extension=Limb
f(/(?=\P{sc=Limb})\p{scx=Limb}/u, "\u{5f22f}");
f(/(?=\P{sc=Limb})\p{scx=Limb}/u, "\u{d729e}");
f(/(?=\P{sc=Limb})\p{scx=Limb}/u, "\u{84288}");
f(/(?=\P{sc=Limb})\p{scx=Limb}/u, "\u{320ef}");
f(/(?=\P{sc=Limb})\p{scx=Limb}/u, "\u{260ac}");
